import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:momo/provider/token.dart';

class Profile extends ConsumerWidget {
  const Profile({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    return Container(
      color: Colors.white,
      child: Center(
        child: ElevatedButton(
            onPressed: () {
              ref.watch(tokenProvider.notifier).removeToken();
            },
            child: const Text('quit')),
      ),
    );
  }
}
